## gmp 0.1

=== DESCRIPTION ===
Package: gmp
Version: 0.1
Date: 2004-09-27
Title: Multiple Precision Arithmetic 
Author: Antoine Lucas 
Maintainer: Antoine Lucas <antoinelucas@libertysurf.fr>
Description: Multiple precision Arithmetic, (prime numbers...),
	     "arithmetic without limitations" use the C library gmp.
License: GPL
URL: http://swox.com/gmp

## gmp 0.2-2

=== DESCRIPTION ===
Package: gmp
Version: 0.2-2
Date: 2004-12-03
Title: Multiple Precision Arithmetic 
Author: Antoine Lucas, 
	Immanuel Scholz,
	Rainer Boehme <rb-gmp@reflex-studio.de>, 
	Sylvain Jasson <jasson@toulouse.inra.fr>
Maintainer: Antoine Lucas <antoinelucas@libertysurf.fr>
Description: Multiple precision Arithmetic, (prime numbers...),
	     "arithmetic without limitations" use the C library gmp.
Depends: R (>= 2.0.0)
SystemRequirements: gmp (>= 4.1.4)
License: GPL
URL: http://mulcyber.toulouse.inra.fr/projects/gmp
Packaged: Mon Dec 27 13:47:54 2004; hornik

## gmp 0.3

=== DESCRIPTION ===
Package: gmp
Version: 0.3
Date: 2005-01-26
Title: Multiple Precision Arithmetic 
Author: Antoine Lucas,Immanuel Scholz,Rainer Boehme <rb-gmp@reflex-studio.de>,
	Sylvain Jasson <jasson@toulouse.inra.fr>
Maintainer: Antoine Lucas <antoinelucas@libertysurf.fr>
Description: Multiple precision Arithmetic, (prime numbers...),
	     "arithmetic without limitations" use the C library gmp.
Depends: R (>= 2.0.0)
SystemRequirements: gmp (>= 4.1.4)
License: GPL
URL: http://mulcyber.toulouse.inra.fr/projects/gmp
Packaged: Mon Feb 14 14:33:24 2005; lucas

## gmp 0.3-1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: gmp
-Version: 0.3
+Version: 0.3-1
 Date: 2005-01-26
 Title: Multiple Precision Arithmetic 
 Author: Antoine Lucas,Immanuel Scholz,Rainer Boehme <rb-gmp@reflex-studio.de>,
@@ -11,4 +11,4 @@
 SystemRequirements: gmp (>= 4.1.4)
 License: GPL
 URL: http://mulcyber.toulouse.inra.fr/projects/gmp
-Packaged: Mon Feb 14 14:33:24 2005; lucas
+Packaged: Thu Mar 17 11:43:01 2005; lucas

## gmp 0.3-2

=== DESCRIPTION ===
Package: gmp
Version: 0.3-2
Date: 2005-05-06
Title: Multiple Precision Arithmetic 
Author: Antoine Lucas, Immanuel Scholz, Rainer Boehme <rb-gmp@reflex-studio.de>,
	Sylvain Jasson <jasson@toulouse.inra.fr>
Maintainer: Antoine Lucas <antoinelucas@libertysurf.fr>
Description: Multiple Precision Arithmetic (big integers and rationals, prime number tests),
	     "arithmetic without limitations" using the C library gmp.
Depends: R (>= 2.0.0)
SystemRequirements: gmp (>= 4.1.4)
License: GPL
URL: http://mulcyber.toulouse.inra.fr/projects/gmp
Packaged: Mon May  9 17:16:33 2005; lucas

## gmp 0.3-3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: gmp
-Version: 0.3-2
-Date: 2005-05-06
+Version: 0.3-3
+Date: 2005-07-27
 Title: Multiple Precision Arithmetic 
 Author: Antoine Lucas, Immanuel Scholz, Rainer Boehme <rb-gmp@reflex-studio.de>,
 	Sylvain Jasson <jasson@toulouse.inra.fr>
@@ -11,4 +11,4 @@
 SystemRequirements: gmp (>= 4.1.4)
 License: GPL
 URL: http://mulcyber.toulouse.inra.fr/projects/gmp
-Packaged: Mon May  9 17:16:33 2005; lucas
+Packaged: Wed Jul 27 14:38:19 2005; lucas

## gmp 0.3-4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: gmp
-Version: 0.3-3
+Version: 0.3-4
 Date: 2005-07-27
 Title: Multiple Precision Arithmetic 
 Author: Antoine Lucas, Immanuel Scholz, Rainer Boehme <rb-gmp@reflex-studio.de>,
@@ -11,4 +11,4 @@
 SystemRequirements: gmp (>= 4.1.4)
 License: GPL
 URL: http://mulcyber.toulouse.inra.fr/projects/gmp
-Packaged: Wed Jul 27 14:38:19 2005; lucas
+Packaged: Fri Jan 20 16:27:11 2006; lucas

## gmp 0.4-0

=== DESCRIPTION ===
Package: gmp
Version: 0.4-0
Date: 2005-06-25
Title: Multiple Precision Arithmetic 
Author: Antoine Lucas, Immanuel Scholz, Rainer Boehme <rb-gmp@reflex-studio.de>,
	Sylvain Jasson <jasson@toulouse.inra.fr>
Maintainer: Antoine Lucas <antoinelucas@libertysurf.fr>
Description: Multiple Precision Arithmetic (big integers and rationals, prime number tests, matrix computation),
	     "arithmetic without limitations" using the C library gmp.
Depends: R (>= 2.0.0)
SystemRequirements: gmp (>= 4.1.4)
License: GPL
URL: http://mulcyber.toulouse.inra.fr/projects/gmp
Packaged: Sun Jun 25 15:01:33 2006; antoine

## gmp 0.4-1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: gmp
-Version: 0.4-0
-Date: 2005-06-25
+Version: 0.4-1
+Date: 2005-10-09
 Title: Multiple Precision Arithmetic 
 Author: Antoine Lucas, Immanuel Scholz, Rainer Boehme <rb-gmp@reflex-studio.de>,
 	Sylvain Jasson <jasson@toulouse.inra.fr>
@@ -11,4 +11,4 @@
 SystemRequirements: gmp (>= 4.1.4)
 License: GPL
 URL: http://mulcyber.toulouse.inra.fr/projects/gmp
-Packaged: Sun Jun 25 15:01:33 2006; antoine
+Packaged: Mon Oct  9 21:07:05 2006; antoine

## gmp 0.4-2

=== DESCRIPTION ===
Package: gmp
Version: 0.4-2
Date: 2007-01-21
Title: Multiple Precision Arithmetic 
Author: Antoine Lucas, Immanuel Scholz, Rainer Boehme <rb-gmp@reflex-studio.de>,
	Sylvain Jasson <jasson@toulouse.inra.fr>
Maintainer: Antoine Lucas <antoinelucas@gmail.com>
Description: Multiple Precision Arithmetic (big integers and rationals, prime number tests, matrix computation),
	     "arithmetic without limitations" using the C library gmp.
Depends: R (>= 2.0.0)
SystemRequirements: gmp (>= 4.1.4)
License: GPL
URL: http://mulcyber.toulouse.inra.fr/projects/gmp
Packaged: Sun Jan 21 11:15:19 2007; antoine

## gmp 0.4-4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: gmp
-Version: 0.4-2
-Date: 2007-01-21
+Version: 0.4-4
+Date: 2007-05-12
 Title: Multiple Precision Arithmetic 
 Author: Antoine Lucas, Immanuel Scholz, Rainer Boehme <rb-gmp@reflex-studio.de>,
 	Sylvain Jasson <jasson@toulouse.inra.fr>
@@ -11,4 +11,4 @@
 SystemRequirements: gmp (>= 4.1.4)
 License: GPL
 URL: http://mulcyber.toulouse.inra.fr/projects/gmp
-Packaged: Sun Jan 21 11:15:19 2007; antoine
+Packaged: Sat May 12 19:54:29 2007; antoine

## gmp 0.4-6

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: gmp
-Version: 0.4-4
-Date: 2007-05-12
+Version: 0.4-6
+Date: 2007-09-14
 Title: Multiple Precision Arithmetic 
 Author: Antoine Lucas, Immanuel Scholz, Rainer Boehme <rb-gmp@reflex-studio.de>,
 	Sylvain Jasson <jasson@toulouse.inra.fr>
@@ -11,4 +11,4 @@
 SystemRequirements: gmp (>= 4.1.4)
 License: GPL
 URL: http://mulcyber.toulouse.inra.fr/projects/gmp
-Packaged: Sat May 12 19:54:29 2007; antoine
+Packaged: Fri Sep 14 20:11:26 2007; antoine

## gmp 0.4-8

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: gmp
-Version: 0.4-6
-Date: 2007-09-14
+Version: 0.4-8
+Date: 2008-02-26
 Title: Multiple Precision Arithmetic 
 Author: Antoine Lucas, Immanuel Scholz, Rainer Boehme <rb-gmp@reflex-studio.de>,
 	Sylvain Jasson <jasson@toulouse.inra.fr>
@@ -11,4 +11,4 @@
 SystemRequirements: gmp (>= 4.1.4)
 License: GPL
 URL: http://mulcyber.toulouse.inra.fr/projects/gmp
-Packaged: Fri Sep 14 20:11:26 2007; antoine
+Packaged: Wed Feb 27 22:03:04 2008; antoine

## gmp 0.4-10

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: gmp
-Version: 0.4-8
-Date: 2008-02-26
+Version: 0.4-10
+Date: 2009-01-31
 Title: Multiple Precision Arithmetic 
 Author: Antoine Lucas, Immanuel Scholz, Rainer Boehme <rb-gmp@reflex-studio.de>,
 	Sylvain Jasson <jasson@toulouse.inra.fr>
@@ -11,4 +11,4 @@
 SystemRequirements: gmp (>= 4.1.4)
 License: GPL
 URL: http://mulcyber.toulouse.inra.fr/projects/gmp
-Packaged: Wed Feb 27 22:03:04 2008; antoine
+Packaged: Sat Jan 31 13:35:40 2009; antoine

## gmp 0.4-11

=== DESCRIPTION ===
Package: gmp
Version: 0.4-11
Date: 2009-10-27
Title: Multiple Precision Arithmetic
Author: Antoine Lucas, Immanuel Scholz, Rainer Boehme
        <rb-gmp@reflex-studio.de>, Sylvain Jasson
        <jasson@toulouse.inra.fr>
Maintainer: Antoine Lucas <antoinelucas@gmail.com>
Description: Multiple Precision Arithmetic (big integers and rationals,
        prime number tests, matrix computation), "arithmetic without
        limitations" using the C library gmp.
Depends: R (>= 2.0.0)
SystemRequirements: gmp (>= 4.1.4)
License: GPL
URL: http://mulcyber.toulouse.inra.fr/projects/gmp
Packaged: 2009-10-27 16:36:31 UTC; antoine
Repository: CRAN
Date/Publication: 2009-10-27 19:17:37

## gmp 0.4-12

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: gmp
-Version: 0.4-11
-Date: 2009-10-27
+Version: 0.4-12
+Date: 2010-04-10
 Title: Multiple Precision Arithmetic
 Author: Antoine Lucas, Immanuel Scholz, Rainer Boehme
         <rb-gmp@reflex-studio.de>, Sylvain Jasson
@@ -13,6 +13,6 @@
 SystemRequirements: gmp (>= 4.1.4)
 License: GPL
 URL: http://mulcyber.toulouse.inra.fr/projects/gmp
-Packaged: 2009-10-27 16:36:31 UTC; antoine
+Packaged: 2010-04-10 17:36:00 UTC; antoine
 Repository: CRAN
-Date/Publication: 2009-10-27 19:17:37
+Date/Publication: 2010-04-10 17:44:58

## gmp 0.5-1

=== DESCRIPTION ===
Package: gmp
Version: 0.5-1
Date: 2012-01-20
Title: Multiple Precision Arithmetic
Author: Antoine Lucas, Immanuel Scholz, Rainer Boehme
        <rb-gmp@reflex-studio.de>, Sylvain Jasson
        <jasson@toulouse.inra.fr>, Martin Maechler
        <maechler@stat.math.ethz.ch>
Maintainer: Antoine Lucas <antoinelucas@gmail.com>
Description: Multiple Precision Arithmetic (big integers and rationals,
        prime number tests, matrix computation), "arithmetic without
        limitations" using the C library gmp.
Depends: methods
Suggests: Rmpfr
SystemRequirements: gmp (>= 4.1.4)
License: GPL
URL: http://mulcyber.toulouse.inra.fr/projects/gmp
Packaged: 2012-01-20 22:09:08 UTC; antoine
Repository: CRAN
Date/Publication: 2012-01-21 07:56:32

## gmp 0.5-2

=== DESCRIPTION ===
Package: gmp
Version: 0.5-2
Date: 2012-05-15
Title: Multiple Precision Arithmetic
Author: Antoine Lucas, Immanuel Scholz, Rainer Boehme
        <rb-gmp@reflex-studio.de>, Sylvain Jasson
        <jasson@toulouse.inra.fr>, Martin Maechler
        <maechler@stat.math.ethz.ch>
Maintainer: Antoine Lucas <antoinelucas@gmail.com>
Description: Multiple Precision Arithmetic (big integers and rationals,
        prime number tests, matrix computation), "arithmetic without
        limitations" using the C library GMP (GNU Multiple Precision
        Arithmetic).
Depends: methods
Suggests: Rmpfr
SystemRequirements: gmp (>= 4.2.3)
License: GPL
URL: http://mulcyber.toulouse.inra.fr/projects/gmp
Packaged: 2012-05-16 10:09:23 UTC; maechler
Repository: CRAN
Date/Publication: 2012-05-16 10:48:24

## gmp 0.5-3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: gmp
-Version: 0.5-2
-Date: 2012-05-15
+Version: 0.5-3
+Date: 2013-01-30
 Title: Multiple Precision Arithmetic
 Author: Antoine Lucas, Immanuel Scholz, Rainer Boehme
         <rb-gmp@reflex-studio.de>, Sylvain Jasson
@@ -15,7 +15,9 @@
 Suggests: Rmpfr
 SystemRequirements: gmp (>= 4.2.3)
 License: GPL
+BuildResaveData: no
+LazyDataNote: not available, as we use data/*.R *and* our classes
 URL: http://mulcyber.toulouse.inra.fr/projects/gmp
-Packaged: 2012-05-16 10:09:23 UTC; maechler
+Packaged: 2013-02-03 16:55:49 UTC; antoine
 Repository: CRAN
-Date/Publication: 2012-05-16 10:48:24
+Date/Publication: 2013-02-03 18:31:38

## gmp 0.5-4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: gmp
-Version: 0.5-3
-Date: 2013-01-30
+Version: 0.5-4
+Date: 2013-02-04
 Title: Multiple Precision Arithmetic
 Author: Antoine Lucas, Immanuel Scholz, Rainer Boehme
         <rb-gmp@reflex-studio.de>, Sylvain Jasson
@@ -18,6 +18,6 @@
 BuildResaveData: no
 LazyDataNote: not available, as we use data/*.R *and* our classes
 URL: http://mulcyber.toulouse.inra.fr/projects/gmp
-Packaged: 2013-02-03 16:55:49 UTC; antoine
+Packaged: 2013-02-05 17:28:20 UTC; antoine
 Repository: CRAN
-Date/Publication: 2013-02-03 18:31:38
+Date/Publication: 2013-02-05 18:42:33

## gmp 0.5-5

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: gmp
-Version: 0.5-4
-Date: 2013-02-04
+Version: 0.5-5
+Date: 2013-03-25
 Title: Multiple Precision Arithmetic
 Author: Antoine Lucas, Immanuel Scholz, Rainer Boehme
         <rb-gmp@reflex-studio.de>, Sylvain Jasson
@@ -18,6 +18,7 @@
 BuildResaveData: no
 LazyDataNote: not available, as we use data/*.R *and* our classes
 URL: http://mulcyber.toulouse.inra.fr/projects/gmp
-Packaged: 2013-02-05 17:28:20 UTC; antoine
+Packaged: 2013-04-09 15:51:41 UTC; antoine
+NeedsCompilation: yes
 Repository: CRAN
-Date/Publication: 2013-02-05 18:42:33
+Date/Publication: 2013-04-09 18:09:57

## gmp 0.5-6

=== DESCRIPTION ===
Package: gmp
Version: 0.5-6
Date: 2013-09-10
Title: Multiple Precision Arithmetic
Author: Antoine Lucas, Immanuel Scholz, Rainer Boehme <rb-gmp@reflex-studio.de>,
  Sylvain Jasson <jasson@toulouse.inra.fr>,
  Martin Maechler <maechler@stat.math.ethz.ch>
Maintainer: Antoine Lucas <antoinelucas@gmail.com>
Description: Multiple Precision Arithmetic (big integers and rationals,
 prime number tests, matrix computation), "arithmetic without limitations"
 using the C library GMP (GNU Multiple Precision Arithmetic).
Depends: methods
Suggests: Rmpfr
SystemRequirements: gmp (>= 4.2.3)
License: GPL
BuildResaveData: no
LazyDataNote: not available, as we use data/*.R *and* our classes
URL: http://mulcyber.toulouse.inra.fr/projects/gmp
Packaged: 2013-09-10 19:00:36 UTC; antoine
NeedsCompilation: yes
Repository: CRAN
Date/Publication: 2013-09-11 20:52:37

## gmp 0.5-7

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: gmp
-Version: 0.5-6
-Date: 2013-09-10
+Version: 0.5-7
+Date: 2013-09-12
 Title: Multiple Precision Arithmetic
 Author: Antoine Lucas, Immanuel Scholz, Rainer Boehme <rb-gmp@reflex-studio.de>,
   Sylvain Jasson <jasson@toulouse.inra.fr>,
@@ -16,7 +16,7 @@
 BuildResaveData: no
 LazyDataNote: not available, as we use data/*.R *and* our classes
 URL: http://mulcyber.toulouse.inra.fr/projects/gmp
-Packaged: 2013-09-10 19:00:36 UTC; antoine
+Packaged: 2013-09-12 17:06:41 UTC; antoine
 NeedsCompilation: yes
 Repository: CRAN
-Date/Publication: 2013-09-11 20:52:37
+Date/Publication: 2013-09-12 19:24:25

## gmp 0.5-8

=== DESCRIPTION ===
Package: gmp
Version: 0.5-8
Date: 2013-09-26
Title: Multiple Precision Arithmetic
Author: Antoine Lucas, Immanuel Scholz, Rainer Boehme <rb-gmp@reflex-studio.de>,
  Sylvain Jasson <jasson@toulouse.inra.fr>,
  Martin Maechler <maechler@stat.math.ethz.ch>
Maintainer: Antoine Lucas <antoinelucas@gmail.com>
Description: Multiple Precision Arithmetic (big integers and rationals,
 prime number tests, matrix computation), "arithmetic without limitations"
 using the C library GMP (GNU Multiple Precision Arithmetic).
Imports: methods
Suggests: Rmpfr
SystemRequirements: gmp (>= 4.2.3)
License: GPL
BuildResaveData: no
LazyDataNote: not available, as we use data/*.R *and* our classes
URL: http://mulcyber.toulouse.inra.fr/projects/gmp
Packaged: 2013-10-29 19:20:41 UTC; ripley
NeedsCompilation: yes
Repository: CRAN
Date/Publication: 2013-10-29 20:21:54

## gmp 0.5-9

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: gmp
-Version: 0.5-8
+Version: 0.5-9
 Date: 2013-09-26
 Title: Multiple Precision Arithmetic
 Author: Antoine Lucas, Immanuel Scholz, Rainer Boehme <rb-gmp@reflex-studio.de>,
@@ -16,7 +16,7 @@
 BuildResaveData: no
 LazyDataNote: not available, as we use data/*.R *and* our classes
 URL: http://mulcyber.toulouse.inra.fr/projects/gmp
-Packaged: 2013-10-29 19:20:41 UTC; ripley
+Packaged: 2013-10-29 19:47:53 UTC; antoine
 NeedsCompilation: yes
 Repository: CRAN
-Date/Publication: 2013-10-29 20:21:54
+Date/Publication: 2013-10-29 22:26:14

## gmp 0.5-10

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: gmp
-Version: 0.5-9
-Date: 2013-09-26
+Version: 0.5-10
+Date: 2013-10-30
 Title: Multiple Precision Arithmetic
 Author: Antoine Lucas, Immanuel Scholz, Rainer Boehme <rb-gmp@reflex-studio.de>,
   Sylvain Jasson <jasson@toulouse.inra.fr>,
@@ -16,7 +16,7 @@
 BuildResaveData: no
 LazyDataNote: not available, as we use data/*.R *and* our classes
 URL: http://mulcyber.toulouse.inra.fr/projects/gmp
-Packaged: 2013-10-29 19:47:53 UTC; antoine
+Packaged: 2013-10-30 20:53:56 UTC; antoine
 NeedsCompilation: yes
 Repository: CRAN
-Date/Publication: 2013-10-29 22:26:14
+Date/Publication: 2013-10-31 07:18:00

## gmp 0.5-11

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: gmp
-Version: 0.5-10
-Date: 2013-10-30
+Version: 0.5-11
+Date: 2013-12-02
 Title: Multiple Precision Arithmetic
 Author: Antoine Lucas, Immanuel Scholz, Rainer Boehme <rb-gmp@reflex-studio.de>,
   Sylvain Jasson <jasson@toulouse.inra.fr>,
@@ -16,7 +16,7 @@
 BuildResaveData: no
 LazyDataNote: not available, as we use data/*.R *and* our classes
 URL: http://mulcyber.toulouse.inra.fr/projects/gmp
-Packaged: 2013-10-30 20:53:56 UTC; antoine
+Packaged: 2013-12-04 08:13:35 UTC; ripley
 NeedsCompilation: yes
 Repository: CRAN
-Date/Publication: 2013-10-31 07:18:00
+Date/Publication: 2013-12-02 20:27:05

## gmp 0.5-12

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: gmp
-Version: 0.5-11
-Date: 2013-12-02
+Version: 0.5-12
+Date: 2014-07-28
 Title: Multiple Precision Arithmetic
 Author: Antoine Lucas, Immanuel Scholz, Rainer Boehme <rb-gmp@reflex-studio.de>,
   Sylvain Jasson <jasson@toulouse.inra.fr>,
@@ -16,7 +16,7 @@
 BuildResaveData: no
 LazyDataNote: not available, as we use data/*.R *and* our classes
 URL: http://mulcyber.toulouse.inra.fr/projects/gmp
-Packaged: 2013-12-04 08:13:35 UTC; ripley
+Packaged: 2014-07-28 19:35:49 UTC; antoine
 NeedsCompilation: yes
 Repository: CRAN
-Date/Publication: 2013-12-02 20:27:05
+Date/Publication: 2014-07-28 21:53:29

## gmp 0.5-13

=== DESCRIPTION ===
Package: gmp
Version: 0.5-13
Date: 2017-01-02
Title: Multiple Precision Arithmetic
Author: Antoine Lucas, Immanuel Scholz, Rainer Boehme <rb-gmp@reflex-studio.de>,
  Sylvain Jasson <jasson@toulouse.inra.fr>,
  Martin Maechler <maechler@stat.math.ethz.ch>
Maintainer: Antoine Lucas <antoinelucas@gmail.com>
Description: Multiple Precision Arithmetic (big integers and rationals,
 prime number tests, matrix computation), "arithmetic without limitations"
 using the C library GMP (GNU Multiple Precision Arithmetic).
Depends: R (>= 3.0.0)
Imports: methods
Suggests: Rmpfr
SystemRequirements: gmp (>= 4.2.3)
License: GPL
BuildResaveData: no
LazyDataNote: not available, as we use data/*.R *and* our classes
URL: http://mulcyber.toulouse.inra.fr/projects/gmp
NeedsCompilation: yes
Packaged: 2017-01-08 10:23:02 UTC; christine
Repository: CRAN
Date/Publication: 2017-01-08 13:37:30

## gmp 0.5-13.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: gmp
-Version: 0.5-13
+Version: 0.5-13.1
 Date: 2017-01-02
 Title: Multiple Precision Arithmetic
 Author: Antoine Lucas, Immanuel Scholz, Rainer Boehme <rb-gmp@reflex-studio.de>,
@@ -18,6 +18,6 @@
 LazyDataNote: not available, as we use data/*.R *and* our classes
 URL: http://mulcyber.toulouse.inra.fr/projects/gmp
 NeedsCompilation: yes
-Packaged: 2017-01-08 10:23:02 UTC; christine
+Packaged: 2017-03-10 06:58:47 UTC; ripley
 Repository: CRAN
-Date/Publication: 2017-01-08 13:37:30
+Date/Publication: 2017-03-10 08:05:38

## gmp 0.5-13.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: gmp
-Version: 0.5-13.1
-Date: 2017-01-02
+Version: 0.5-13.2
+Date: 2018-07-14
 Title: Multiple Precision Arithmetic
 Author: Antoine Lucas, Immanuel Scholz, Rainer Boehme <rb-gmp@reflex-studio.de>,
   Sylvain Jasson <jasson@toulouse.inra.fr>,
@@ -16,8 +16,7 @@
 License: GPL
 BuildResaveData: no
 LazyDataNote: not available, as we use data/*.R *and* our classes
-URL: http://mulcyber.toulouse.inra.fr/projects/gmp
 NeedsCompilation: yes
-Packaged: 2017-03-10 06:58:47 UTC; ripley
+Packaged: 2018-07-14 11:35:43 UTC; ripley
 Repository: CRAN
-Date/Publication: 2017-03-10 08:05:38
+Date/Publication: 2018-07-14 14:19:11 UTC

## gmp 0.5-13.4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: gmp
-Version: 0.5-13.2
-Date: 2018-07-14
+Version: 0.5-13.4
+Date: 2019-02-21
 Title: Multiple Precision Arithmetic
 Author: Antoine Lucas, Immanuel Scholz, Rainer Boehme <rb-gmp@reflex-studio.de>,
   Sylvain Jasson <jasson@toulouse.inra.fr>,
@@ -17,6 +17,6 @@
 BuildResaveData: no
 LazyDataNote: not available, as we use data/*.R *and* our classes
 NeedsCompilation: yes
-Packaged: 2018-07-14 11:35:43 UTC; ripley
+Packaged: 2019-03-01 10:51:01 UTC; l0413674
 Repository: CRAN
-Date/Publication: 2018-07-14 14:19:11 UTC
+Date/Publication: 2019-03-01 22:00:10 UTC

## gmp 0.5-13.5

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: gmp
-Version: 0.5-13.4
+Version: 0.5-13.5
 Date: 2019-02-21
 Title: Multiple Precision Arithmetic
 Author: Antoine Lucas, Immanuel Scholz, Rainer Boehme <rb-gmp@reflex-studio.de>,
@@ -17,6 +17,6 @@
 BuildResaveData: no
 LazyDataNote: not available, as we use data/*.R *and* our classes
 NeedsCompilation: yes
-Packaged: 2019-03-01 10:51:01 UTC; l0413674
+Packaged: 2019-03-11 13:49:47 UTC; l0413674
 Repository: CRAN
-Date/Publication: 2019-03-01 22:00:10 UTC
+Date/Publication: 2019-03-11 16:00:02 UTC

## gmp 0.5-13.6

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: gmp
-Version: 0.5-13.5
-Date: 2019-02-21
+Version: 0.5-13.6
+Date: 2020-01-05
 Title: Multiple Precision Arithmetic
 Author: Antoine Lucas, Immanuel Scholz, Rainer Boehme <rb-gmp@reflex-studio.de>,
   Sylvain Jasson <jasson@toulouse.inra.fr>,
@@ -17,6 +17,6 @@
 BuildResaveData: no
 LazyDataNote: not available, as we use data/*.R *and* our classes
 NeedsCompilation: yes
-Packaged: 2019-03-11 13:49:47 UTC; l0413674
+Packaged: 2020-01-22 09:50:28 UTC; antoine
 Repository: CRAN
-Date/Publication: 2019-03-11 16:00:02 UTC
+Date/Publication: 2020-01-24 14:30:07 UTC

## gmp 0.5-14

=== DESCRIPTION ===
Package: gmp
Version: 0.5-14
Date: 2020-05-15
Title: Multiple Precision Arithmetic
Author: Antoine Lucas, Immanuel Scholz, Rainer Boehme <rb-gmp@reflex-studio.de>,
  Sylvain Jasson <Sylvain.Jasson@inrae.fr>,
  Martin Maechler <maechler@stat.math.ethz.ch>
Maintainer: Antoine Lucas <antoinelucas@gmail.com>
Description: Multiple Precision Arithmetic (big integers and rationals,
 prime number tests, matrix computation), "arithmetic without limitations"
 using the C library GMP (GNU Multiple Precision Arithmetic).
Depends: R (>= 3.4.0)
Imports: methods
Suggests: Rmpfr
SystemRequirements: gmp (>= 4.2.3)
License: GPL
BuildResaveData: no
LazyDataNote: not available, as we use data/*.R *and* our classes
NeedsCompilation: yes
URL: https://forgemia.inra.fr/sylvain.jasson/gmp
Packaged: 2020-05-16 10:49:40 UTC; antoine
Repository: CRAN
Date/Publication: 2020-05-17 07:40:06 UTC

## gmp 0.6-0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: gmp
-Version: 0.5-14
-Date: 2020-05-15
+Version: 0.6-0
+Date: 2020-06-06
 Title: Multiple Precision Arithmetic
 Author: Antoine Lucas, Immanuel Scholz, Rainer Boehme <rb-gmp@reflex-studio.de>,
   Sylvain Jasson <Sylvain.Jasson@inrae.fr>,
@@ -13,11 +13,11 @@
 Imports: methods
 Suggests: Rmpfr
 SystemRequirements: gmp (>= 4.2.3)
-License: GPL
+License: GPL (>= 2)
 BuildResaveData: no
 LazyDataNote: not available, as we use data/*.R *and* our classes
 NeedsCompilation: yes
 URL: https://forgemia.inra.fr/sylvain.jasson/gmp
-Packaged: 2020-05-16 10:49:40 UTC; antoine
+Packaged: 2020-06-09 08:18:22 UTC; antoine
 Repository: CRAN
-Date/Publication: 2020-05-17 07:40:06 UTC
+Date/Publication: 2020-06-09 14:30:06 UTC

## gmp 0.6-1

=== DESCRIPTION ===
Package: gmp
Version: 0.6-1
Date: 2020-10-01
Title: Multiple Precision Arithmetic
Author: Antoine Lucas, Immanuel Scholz, Rainer Boehme <rb-gmp@reflex-studio.de>,
  Sylvain Jasson <Sylvain.Jasson@inrae.fr>,
  Martin Maechler <maechler@stat.math.ethz.ch>
Maintainer: Antoine Lucas <antoinelucas@gmail.com>
Description: Multiple Precision Arithmetic (big integers and rationals,
 prime number tests, matrix computation), "arithmetic without limitations"
 using the C library GMP (GNU Multiple Precision Arithmetic).
Depends: R (>= 3.5.0)
Imports: methods
Suggests: Rmpfr, MASS, round
SystemRequirements: gmp (>= 4.2.3)
License: GPL (>= 2)
BuildResaveData: no
LazyDataNote: not available, as we use data/*.R *and* our classes
NeedsCompilation: yes
URL: https://forgemia.inra.fr/sylvain.jasson/gmp
Packaged: 2020-10-01 14:01:12 UTC; antoine
Repository: CRAN
Date/Publication: 2020-10-01 14:30:02 UTC

## gmp 0.6-4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: gmp
-Version: 0.6-1
-Date: 2020-10-01
+Version: 0.6-4
+Date: 2022-02-23
 Title: Multiple Precision Arithmetic
 Author: Antoine Lucas, Immanuel Scholz, Rainer Boehme <rb-gmp@reflex-studio.de>,
   Sylvain Jasson <Sylvain.Jasson@inrae.fr>,
@@ -18,6 +18,6 @@
 LazyDataNote: not available, as we use data/*.R *and* our classes
 NeedsCompilation: yes
 URL: https://forgemia.inra.fr/sylvain.jasson/gmp
-Packaged: 2020-10-01 14:01:12 UTC; antoine
+Packaged: 2022-02-24 11:23:54 UTC; antoine
 Repository: CRAN
-Date/Publication: 2020-10-01 14:30:02 UTC
+Date/Publication: 2022-02-24 13:40:02 UTC

## gmp 0.6-5

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: gmp
-Version: 0.6-4
-Date: 2022-02-23
+Version: 0.6-5
+Date: 2022-03-14
 Title: Multiple Precision Arithmetic
 Author: Antoine Lucas, Immanuel Scholz, Rainer Boehme <rb-gmp@reflex-studio.de>,
   Sylvain Jasson <Sylvain.Jasson@inrae.fr>,
@@ -18,6 +18,6 @@
 LazyDataNote: not available, as we use data/*.R *and* our classes
 NeedsCompilation: yes
 URL: https://forgemia.inra.fr/sylvain.jasson/gmp
-Packaged: 2022-02-24 11:23:54 UTC; antoine
+Packaged: 2022-03-16 17:24:05 UTC; antoine
 Repository: CRAN
-Date/Publication: 2022-02-24 13:40:02 UTC
+Date/Publication: 2022-03-17 11:40:04 UTC

## gmp 0.6-6

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: gmp
-Version: 0.6-5
-Date: 2022-03-14
+Version: 0.6-6
+Date: 2022-08-04
 Title: Multiple Precision Arithmetic
 Author: Antoine Lucas, Immanuel Scholz, Rainer Boehme <rb-gmp@reflex-studio.de>,
   Sylvain Jasson <Sylvain.Jasson@inrae.fr>,
@@ -18,6 +18,6 @@
 LazyDataNote: not available, as we use data/*.R *and* our classes
 NeedsCompilation: yes
 URL: https://forgemia.inra.fr/sylvain.jasson/gmp
-Packaged: 2022-03-16 17:24:05 UTC; antoine
+Packaged: 2022-08-04 13:53:22 UTC; antoine
 Repository: CRAN
-Date/Publication: 2022-03-17 11:40:04 UTC
+Date/Publication: 2022-08-10 10:20:02 UTC

## gmp 0.6-7

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: gmp
-Version: 0.6-6
-Date: 2022-08-04
+Version: 0.6-7
+Date: 2022-10-27
 Title: Multiple Precision Arithmetic
 Author: Antoine Lucas, Immanuel Scholz, Rainer Boehme <rb-gmp@reflex-studio.de>,
   Sylvain Jasson <Sylvain.Jasson@inrae.fr>,
@@ -18,6 +18,6 @@
 LazyDataNote: not available, as we use data/*.R *and* our classes
 NeedsCompilation: yes
 URL: https://forgemia.inra.fr/sylvain.jasson/gmp
-Packaged: 2022-08-04 13:53:22 UTC; antoine
+Packaged: 2022-10-27 20:01:36 UTC; antoine
 Repository: CRAN
-Date/Publication: 2022-08-10 10:20:02 UTC
+Date/Publication: 2022-10-28 06:55:16 UTC

## gmp 0.6-8

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: gmp
-Version: 0.6-7
-Date: 2022-10-27
+Version: 0.6-8
+Date: 2022-11-08
 Title: Multiple Precision Arithmetic
 Author: Antoine Lucas, Immanuel Scholz, Rainer Boehme <rb-gmp@reflex-studio.de>,
   Sylvain Jasson <Sylvain.Jasson@inrae.fr>,
@@ -18,6 +18,6 @@
 LazyDataNote: not available, as we use data/*.R *and* our classes
 NeedsCompilation: yes
 URL: https://forgemia.inra.fr/sylvain.jasson/gmp
-Packaged: 2022-10-27 20:01:36 UTC; antoine
+Packaged: 2022-11-08 13:32:42 UTC; antoine
 Repository: CRAN
-Date/Publication: 2022-10-28 06:55:16 UTC
+Date/Publication: 2022-11-09 11:30:02 UTC

## gmp 0.6-9

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: gmp
-Version: 0.6-8
-Date: 2022-11-08
+Version: 0.6-9
+Date: 2022-12-09
 Title: Multiple Precision Arithmetic
 Author: Antoine Lucas, Immanuel Scholz, Rainer Boehme <rb-gmp@reflex-studio.de>,
   Sylvain Jasson <Sylvain.Jasson@inrae.fr>,
@@ -18,6 +18,6 @@
 LazyDataNote: not available, as we use data/*.R *and* our classes
 NeedsCompilation: yes
 URL: https://forgemia.inra.fr/sylvain.jasson/gmp
-Packaged: 2022-11-08 13:32:42 UTC; antoine
+Packaged: 2022-12-10 12:58:54 UTC; antoine
 Repository: CRAN
-Date/Publication: 2022-11-09 11:30:02 UTC
+Date/Publication: 2022-12-14 23:20:06 UTC

## gmp 0.6-10

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: gmp
-Version: 0.6-9
-Date: 2022-12-09
+Version: 0.6-10
+Date: 2023-01-16
 Title: Multiple Precision Arithmetic
 Author: Antoine Lucas, Immanuel Scholz, Rainer Boehme <rb-gmp@reflex-studio.de>,
   Sylvain Jasson <Sylvain.Jasson@inrae.fr>,
@@ -18,6 +18,6 @@
 LazyDataNote: not available, as we use data/*.R *and* our classes
 NeedsCompilation: yes
 URL: https://forgemia.inra.fr/sylvain.jasson/gmp
-Packaged: 2022-12-10 12:58:54 UTC; antoine
+Packaged: 2023-01-16 18:24:31 UTC; antoine
 Repository: CRAN
-Date/Publication: 2022-12-14 23:20:06 UTC
+Date/Publication: 2023-01-17 11:00:02 UTC

## gmp 0.7-2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: gmp
-Version: 0.6-10
-Date: 2023-01-16
+Version: 0.7-2
+Date: 2023-06-28
 Title: Multiple Precision Arithmetic
 Author: Antoine Lucas, Immanuel Scholz, Rainer Boehme <rb-gmp@reflex-studio.de>,
   Sylvain Jasson <Sylvain.Jasson@inrae.fr>,
@@ -18,6 +18,6 @@
 LazyDataNote: not available, as we use data/*.R *and* our classes
 NeedsCompilation: yes
 URL: https://forgemia.inra.fr/sylvain.jasson/gmp
-Packaged: 2023-01-16 18:24:31 UTC; antoine
+Packaged: 2023-06-29 15:47:47 UTC; antoine
 Repository: CRAN
-Date/Publication: 2023-01-17 11:00:02 UTC
+Date/Publication: 2023-07-01 19:00:02 UTC

## gmp 0.7-3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: gmp
-Version: 0.7-2
-Date: 2023-06-28
+Version: 0.7-3
+Date: 2023-11-28
 Title: Multiple Precision Arithmetic
 Author: Antoine Lucas, Immanuel Scholz, Rainer Boehme <rb-gmp@reflex-studio.de>,
   Sylvain Jasson <Sylvain.Jasson@inrae.fr>,
@@ -18,6 +18,6 @@
 LazyDataNote: not available, as we use data/*.R *and* our classes
 NeedsCompilation: yes
 URL: https://forgemia.inra.fr/sylvain.jasson/gmp
-Packaged: 2023-06-29 15:47:47 UTC; antoine
+Packaged: 2023-11-28 14:02:19 UTC; antoine
 Repository: CRAN
-Date/Publication: 2023-07-01 19:00:02 UTC
+Date/Publication: 2023-11-28 17:50:14 UTC

## gmp 4.2.2%2bdfsg-3

=== debian/changelog ===
gmp (2:4.2.2+dfsg-3) unstable; urgency=low

  * debian/rules:
  * debian/control: Move from automake 1.8 to automake 1.9.  
    Closes: #473306.
  
  * debian/patches/03_gnu89-inline.diff: Add gnu_inline function attribute
    to extern inline functions.  Closes: #430598.  
    Patch courtesy of Ludovic Courts; see
    http://gmplib.org/list-archives/gmp-bugs/2008-April/000980.html.

  * debian/rules: Install upstream changelog only in -dev package.
    Closes: #442895.
  
  * debian/control: Replace Source-Version by binary:Version.  Bump
    Standards-Version from 2.7.2 to 2.7.3; no changes required.  Add
    HomePage field.
  
  * debian/copyright: Freshen; include copyright statement.

 -- Steve M. Robbins <smr@debian.org>  Wed, 09 Apr 2008 01:15:29 -0500

gmp (2:4.2.2+dfsg-2) unstable; urgency=low

  * gmp-h.in: include cstdio to obtain std::FILE.  Closes: #463187.

 -- Steve M. Robbins <smr@debian.org>  Sat, 02 Feb 2008 03:08:02 -0600

gmp (2:4.2.2+dfsg-1) unstable; urgency=low

  * New upstream version.
  * Remove patches: 01_libversion, 03_x86-fat, 04_gcc4.3-inline, and
    05_remove-docs.

 -- Steve M. Robbins <smr@debian.org>  Sat, 15 Sep 2007 21:45:17 -0500

gmp (2:4.2.1+dfsg-6) unstable; urgency=low

  * debian/rules:
  * debian/patches: Rework packaging using cdbs.

 -- Steve M. Robbins <smr@debian.org>  Sat, 15 Sep 2007 15:11:21 -0500

gmp (2:4.2.1+dfsg-5) unstable; urgency=low

  * debian/control: Rename libgmpxx4 to libgmpxx4ldbl.  Closes: #430253.
  Set Standards-Version to 3.7.2; no changes.
  
  * Apply patch gcc4.3-inline.diff
    (http://gmplib.org/list-archives/gmp-devel/2007-May/000745.html).
    Closes: #431495.

 -- Steve M. Robbins <smr@debian.org>  Wed, 11 Jul 2007 00:05:28 -0500

gmp (2:4.2.1+dfsg-4) unstable; urgency=high

  * Build with -O0 on m68k due to a bug in gcc-4.1.  Closes: #378719.

 -- Steve M. Robbins <smr@debian.org>  Wed, 19 Jul 2006 22:06:09 -0400

gmp (2:4.2.1+dfsg-3) unstable; urgency=high

  * Disable fat support for amd64, as it is broken upstream.  Thanks to
    Steinar H. Gunderson for initial version of patch.  Closes: #376353.

 -- Steve M. Robbins <smr@debian.org>  Mon, 17 Jul 2006 23:15:30 -0400

gmp (2:4.2.1+dfsg-2) unstable; urgency=low

  * Enable fat libraries.  Closes: #362759.  Applied patch
    debian/patches/x86-fat.diff, adapted from
    http://www.swox.com/gmp/patches/x86-fat.diff.

 -- Steve M. Robbins <smr@debian.org>  Fri, 30 Jun 2006 22:34:47 -0400

gmp (2:4.2.1+dfsg-1) unstable; urgency=low

  * New upstream.
  
  * Fix SONAME on libgmpxx.  Closes: #368310.
    - introduces package libgmpxx4.
  
  * A test case miscompiles with -O3.  Build with -O2.  Closes: #372563.
  
  * Do not install private headers.  Closes: #363692.

 -- Steve M. Robbins <smr@debian.org>  Sun, 18 Jun 2006 21:20:03 -0400

gmp (4.2.dfsg-1) unstable; urgency=low

  * New upstream version.  Closes: #359147, #362273.
    - Remove all patches except gmp-4.2-noexecstack_cfgs.diff for
      non-executable stack.

  * Remove non-DFSG documentation.  Closes: #335403.

 -- Steve M. Robbins <smr@debian.org>  Sat, 15 Apr 2006 02:34:55 -0400

gmp (4.1.4-11) unstable; urgency=low

  * Apply two more upstream patches:
    - http://www.swox.com/gmp/patches/gmp-impl.h.MPF_SIGNIFICANT_DIGITS.diff
    - http://www.swox.com/gmp/patches/gmp-impl.h.MPN_SIZEINBASE.diff

  * Apply patch for big-endian ARM (thanks, Lennert Buytenhek).
  Closes: #333612.
  
  * Apply patch to turn off executable stack (thanks, Sheplyakov Alexei).
  Closes: #323944.
  
  * Run "autoreconf" to update autotools files.  Closes: #304635.
  
 -- Steve M. Robbins <smr@debian.org>  Thu, 13 Oct 2005 23:13:04 -0400

gmp (4.1.4-10) unstable; urgency=low

  * debian/rules: provide only libgmp3c2 in libgmp3c2.shlib file.
    Closes: #322691

 -- Steve M. Robbins <smr@debian.org>  Sat, 13 Aug 2005 13:38:00 -0400

gmp (4.1.4-9) unstable; urgency=low

  * Build with -O2 on m68k (thanks, Matthias Klose and Laurent Fousse).
    Closes: #319205.

 -- Steve M. Robbins <smr@debian.org>  Sun,  7 Aug 2005 23:23:08 -0400

gmp (4.1.4-8) unstable; urgency=low

  * Re-release to fix i386 build.  The -7.1 upload was built
  against a non-existent libstdc++6.  Closes: #317636.

 -- Steve M. Robbins <smr@debian.org>  Sun, 10 Jul 2005 09:42:44 -0400

gmp (4.1.4-7.1) unstable; urgency=medium

   * NMU.
   * debian/rules: Fix typo in dh_makeshlibs, referencing a non existing
     package.

 -- Matthias Klose <doko@debian.org>  Sat, 9 Jul 2005 18:22:58 +0200

gmp (4.1.4-7) unstable; urgency=low

  * CXX transition (thanks to Matthias Klose for patches):
    - Split out the C++ library into package libgmp3xx.  Closes: #311610.
    - Rename libgmp3 to libgmp3c2, otherwise packages relying on the C++
      library in libgmp3 will break.

 -- Steve M. Robbins <smr@debian.org>  Fri,  8 Jul 2005 23:38:22 -0400

gmp (4.1.4-6) unstable; urgency=low

  * mpn/generic/rootrem.c: Fix buffer overrun in mpz_root(), mpz_rootrem().
    Upstream patch: http://www.swox.com/gmp/patches/mpn_rootrem.c.diff
  
  * debian/FAQ: New; taken from http://www.swox.com/gmp.  Explains
    the segfaulting problem.  Closes: #284978.

 -- Steve M. Robbins <smr@debian.org>  Fri,  8 Apr 2005 20:13:58 -0400

gmp (4.1.4-5) unstable; urgency=low

  * debian/rules: Don't run test suite when cross-compiling
  (thanks, NIIBE Yutaka).  Closes: #282060.

 -- Steve M. Robbins <smr@debian.org>  Sun, 28 Nov 2004 09:21:11 -0500

gmp (4.1.4-4) unstable; urgency=low

  * debian/rules: Don't package gmp-developer docs.
  * debian/README.Debian: Clarify that the primary documentation consists
    of info files.  Closes: #276856.
  
  * debian/control: Suggest libmpfr-dev (now available in the Debian
    archive).  Closes: #278005.

 -- Steve M. Robbins <smr@debian.org>  Sun, 24 Oct 2004 03:22:47 -0400

gmp (4.1.4-3) unstable; urgency=low

  * debian/rules: Do not build mpfr library; it will be packaged
    separately from an updated source (see bug #276085).
  


=== debian/control ===
Source: gmp
Homepage: http://gmplib.org/
Section: libs
Priority: optional
Build-Depends: m4, debhelper (>= 5), cdbs, automake1.9, autoconf, libtool
Maintainer: Steve M. Robbins <smr@debian.org>
Uploaders: Philipp Matthias Hahn <pmhahn@debian.org>
Standards-Version: 3.7.3

Package: libgmp3c2
Section: libs
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: libgmp3, libgmp2 (<< 2.0.2-10)
Replaces: libgmp3
Description: Multiprecision arithmetic library
 GNU MP is a programmer's library for arbitrary precision
 arithmetic (ie, a bignum package).  It can operate on signed
 integer, rational, and floating point numeric types.
 .
 It has a rich set of functions, and the functions have a regular
 interface.

Package: libgmpxx4ldbl
Section: libs
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: libgmp3, libgmpxx4
Replaces: libgmp3
Description: Multiprecision arithmetic library (C++ bindings)
 GNU MP is a programmer's library for arbitrary precision
 arithmetic (ie, a bignum package).  It can operate on signed
 integer, rational, and floating point numeric types.

Package: libgmp3-dev
Section: libdevel
Priority: optional
Architecture: any
Depends: libgmp3c2 (= ${binary:Version}), libgmpxx4ldbl (= ${binary:Version})
Replaces: libgmp2-dev
Conflicts: libgmp2-dev
Recommends: libstdc++-dev
Suggests: libgmp3-doc, libmpfr-dev
Description: Multiprecision arithmetic library developers tools
 This development package provides the header files and the symbolic
 links to allow compilation and linking of programs that use the libraries
 provided in the libgmp3 package.
 .
 Both C and C++ bindings are present in this package.  Package
 libstdc++-dev is required to use the C++ bindings.  
 .
 The MPFR library (multiple-precision floating-point) used to be
 included, but has since been moved to package libmpfr-dev.

Package: libgmp3-doc
Section: doc
Priority: optional
Architecture: all
Replaces: libgmp3 (<< 3.1.1-8)
Description: Multiprecision arithmetic library example code
 This package provides example code illustrating the use of GMP.

=== debian/rules ===
#! /usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/simple-patchsys.mk

DEB_AUTO_UPDATE_AUTOCONF = 2.61
DEB_AUTO_UPDATE_AUTOMAKE = 1.9

DEB_CONFIGURE_EXTRA_FLAGS += --enable-cxx --enable-mpbsd

ifeq (amd64,$(DEB_HOST_ARCH))
  DEB_CONFIGURE_EXTRA_FLAGS += --disable-fat
else
  DEB_CONFIGURE_EXTRA_FLAGS += --enable-fat
endif

# Install upstream changelog only in -dev package
DEB_INSTALL_CHANGELOGS_ALL =
DEB_INSTALL_CHANGELOGS_libgmp3-dev = ChangeLog

DEB_DH_MAKESHLIBS_ARGS_libgmp3c2 = -v -V 'libgmp3c2'
DEB_DH_MAKESHLIBS_ARGS_libgmpxx4ldbl = -v -V 'libgmpxx4ldbl'

DEB_SHLIBDEPS_LIBRARY_libgmp3c2 = libgmp3c2
DEB_SHLIBDEPS_INCLUDE_libgmp3c2 = debian/libgmp3c2/usr/lib debian/libgmpxx4ldbl/usr/lib

build/libgmpxx4ldbl::
	sed -i "/^relink_command/s:libgmp.la:-L`pwd`/debian/tmp/usr/lib libgmp.la:" libgmpxx.la
